# Installation
> `npm install --save @types/jquery-loading-overlay`

# Summary
This package contains type definitions for jquery-loading-overlay (https://github.com/jgerigmeyer/jquery-loading-overlay).

# Details
Files were exported from https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/jquery-loading-overlay.
## [index.d.ts](https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/jquery-loading-overlay/index.d.ts)
````ts
/// <reference types="jquery" />

export type Options = Partial<{
    /**
     * Class added to target while loading
     */
    loadingClass: string;

    /**
     * Class added to overlay (style with CSS)
     */
    overlayClass: string;

    /**
     * Class added to loading overlay spinner
     */
    spinnerClass: string;

    /**
     * Class added to loading overlay spinner
     */
    iconClass: string;

    /**
     * Class added to loading overlay spinner
     */
    textClass: string;

    /**
     * Text within loading overlay
     */
    loadingText: string;
}>;

declare global {
    interface JQuery {
        loadingOverlay(options?: Options): JQuery;
        loadingOverlay(method: "remove", options?: Options): JQuery;
    }
}

````

### Additional Details
 * Last updated: Tue, 07 Nov 2023 03:09:37 GMT
 * Dependencies: [@types/jquery](https://npmjs.com/package/@types/jquery)

# Credits
These definitions were written by [Anderson Friaça](https://github.com/AndersonFriaca).
